Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditEventTypeRegistrations

    java.lang.Object
      oracle.ifs.core.util.AuditEventTypeRegistrations

    public class AuditEventTypeRegistrations

extends java.lang.Object

Defines the set of out-of-the-box Audit event type registrations for CORE.

Field Summary
`static java.lang.Integer` | `OPERATIONCODE_ACL_ASSIGNED` Operation code used for operations of type: ACL_ASSIGNED.
`static java.lang.Integer` | `OPERATIONCODE_ACTION_UPDATED` Operation code used for operations of type: ACTION_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_ADMIN_RIGHTS_GRANTED` Operation code used for operations of type: ADMIN_RIGHTS_GRANTED.
`static java.lang.Integer` | `OPERATIONCODE_ADMIN_RIGHTS_REVOKED` Operation code used for operations of type: ADMIN_RIGHTS_REVOKED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_CREATED` Operation code used for operations of type: AGENT_TOKEN_CREATED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_FREED` Operation code used for operations of type: AGENT_TOKEN_FREED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_REGISTREE_ADDED` Operation code used for operations of type: AGENT_TOKEN_REGISTREE_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_REGISTREE_EXPIRED` Operation code used for operations of type: AGENT_TOKEN_REGISTREE_EXPIRED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_REGISTREE_REMOVED` Operation code used for operations of type: AGENT_TOKEN_REGISTREE_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_STANDBY_ADDED` Operation code used for operations of type: AGENT_TOKEN_STANDBY_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_STANDBY_EXPIRED` Operation code used for operations of type: AGENT_TOKEN_STANDBY_EXPIRED.
`static java.lang.Integer` | `OPERATIONCODE_AGENT_TOKEN_STANDBY_REMOVED` Operation code used for operations of type: AGENT_TOKEN_STANDBY_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_APPLICATION_CONNECTED` Operation code used for operations of type: APPLICATION_CONNECTED.
`static java.lang.Integer` | `OPERATIONCODE_APPLICATION_DISCONNECTED` Operation code used for operations of type: APPLICATION_DISCONNECTED.
`static java.lang.Integer` | `OPERATIONCODE_APPROVED` Operation code used for operations of type: APPROVED.
`static java.lang.Integer` | `OPERATIONCODE_ARCHIVED` Operation code used for operations of type: ARCHIVED.
`static java.lang.Integer` | `OPERATIONCODE_ATTRIBUTE_ADDED` Operation code used for operations of type: ATTRIBUTE_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_ATTRIBUTE_REMOVED` Operation code used for operations of type: ATTRIBUTE_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_AUDITING_CONFIGURATION_ADDED` Operation code used for operations of type: AUDITING_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_AUDITING_CONFIGURATION_CHANGED` Operation code used for operations of type: AUDITING_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_AUDITING_CONFIGURATION_REMOVED` Operation code used for operations of type: AUDITING_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_AUTO_EMPTIED` Operation code used for operations of type: AUTO_EMPTIED.
`static java.lang.Integer` | `OPERATIONCODE_BECAME_VERSION` Operation code used for operations of type: BECAME_VERSION.
`static java.lang.Integer` | `OPERATIONCODE_CANCELED` Operation code used for operations of type: CANCELED.
`static java.lang.Integer` | `OPERATIONCODE_CATEGORY_ADDED` Operation code used for operations of type: CATEGORY_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_CATEGORY_CHANGED` Operation code used for operations of type: CATEGORY_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_CATEGORY_CONFIGURATION_ADDED` Operation code used for operations of type: CATEGORY_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_CATEGORY_CONFIGURATION_CHANGED` Operation code used for operations of type: CATEGORY_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_CATEGORY_CONFIGURATION_REMOVED` Operation code used for operations of type: CATEGORY_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_CATEGORY_REMOVED` Operation code used for operations of type: CATEGORY_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_CHECKED_IN` Operation code used for operations of type: CHECKED_IN.
`static java.lang.Integer` | `OPERATIONCODE_CHECKED_OUT` Operation code used for operations of type: CHECKED_OUT.
`static java.lang.Integer` | `OPERATIONCODE_CHECKOUT_CANCELED` Operation code used for operations of type: CHECKOUT_CANCELED.
`static java.lang.Integer` | `OPERATIONCODE_CLOSED` Operation code used for operations of type: CLOSED.
`static java.lang.Integer` | `OPERATIONCODE_CLUSTERING_STATUS_CHANGED` Operation code used for operations of type: CLUSTERING_STATUS_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_CONFIGURATION_OVERRIDDEN` Operation code used for operations of type: CONFIGURATION_OVERRIDDEN.
`static java.lang.Integer` | `OPERATIONCODE_CONFIGURATION_OVERRIDE_REQUESTED` Operation code used for operations of type: CONFIGURATION_OVERRIDE_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_CONTAINER_ADDED` Operation code used for operations of type: CONTAINER_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_CONTAINER_REMOVED` Operation code used for operations of type: CONTAINER_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_CONTENT_CONFIGURATION_ADDED` Operation code used for operations of type: CONTENT_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_CONTENT_CONFIGURATION_CHANGED` Operation code used for operations of type: CONTENT_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_CONTENT_CONFIGURATION_REMOVED` Operation code used for operations of type: CONTENT_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_CONTENT_READ` Operation code used for operations of type: CONTENT_READ.
`static java.lang.Integer` | `OPERATIONCODE_CONTENT_UPDATED` Operation code used for operations of type: CONTENT_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_COPIED` Operation code used for operations of type: COPIED.
`static java.lang.Integer` | `OPERATIONCODE_COPIED_FROM_ARCHIVE` Operation code used for operations of type: COPIED_FROM_ARCHIVE.
`static java.lang.Integer` | `OPERATIONCODE_CREATED` Operation code used for operations of type: CREATED.
`static java.lang.Integer` | `OPERATIONCODE_CREATED_AS_COPY` Operation code used for operations of type: CREATED_AS_COPY.
`static java.lang.Integer` | `OPERATIONCODE_CREATED_AS_WORKING_COPY` Operation code used for operations of type: CREATED_AS_WORKING_COPY.
`static java.lang.Integer` | `OPERATIONCODE_CUTOFF_INSTRUCTIONS_UPDATED` Operation code used for operations of type: CUTOFF_INSTRUCTIONS_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_DEFAULT_GUARD_ROLES_CHANGED` Operation code used for operations of type: DEFAULT_GUARD_ROLES_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_DEFAULT_USER_PREFERENCES_CHANGED` Operation code used for operations of type: DEFAULT_USER_PREFERENCES_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_DEFAULT_WORKSPACE_ROLES_CHANGED` Operation code used for operations of type: DEFAULT_WORKSPACE_ROLES_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_DELETED` Operation code used for operations of type: DELETED.
`static java.lang.Integer` | `OPERATIONCODE_DENIED` Operation code used for operations of type: DENIED.
`static java.lang.Integer` | `OPERATIONCODE_DISABLED` Operation code used for operations of type: DISABLED.
`static java.lang.Integer` | `OPERATIONCODE_DISPOSE_REQUESTED` Operation code used for operations of type: DISPOSE_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_DISPOSED` Operation code used for operations of type: DISPOSED.
`static java.lang.Integer` | `OPERATIONCODE_DISPOSITION_INSTRUCTIONS_UPDATED` Operation code used for operations of type: DISPOSITION_INSTRUCTIONS_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_EMAIL_SENT` Operation code used for operations of type: EMAIL_SENT.
`static java.lang.Integer` | `OPERATIONCODE_EMPTIED` Operation code used for operations of type: EMPTIED.
`static java.lang.Integer` | `OPERATIONCODE_ENABLED` Operation code used for operations of type: ENABLED.
`static java.lang.Integer` | `OPERATIONCODE_ENTERED_ADMIN_MODE` Operation code used for operations of type: ENTERED_ADMIN_MODE.
`static java.lang.Integer` | `OPERATIONCODE_EXITED_ADMIN_MODE` Operation code used for operations of type: EXITED_ADMIN_MODE.
`static java.lang.Integer` | `OPERATIONCODE_EXTERNAL_RETENTION_POLICY_CLEARED` Operation code used for operations of type: EXTERNAL_RETENTION_POLICY_CLEARED.
`static java.lang.Integer` | `OPERATIONCODE_EXTERNAL_RETENTION_POLICY_SET` Operation code used for operations of type: EXTERNAL_RETENTION_POLICY_SET.
`static java.lang.Integer` | `OPERATIONCODE_FAILED` Operation code used for operations of type: FAILED.
`static java.lang.Integer` | `OPERATIONCODE_FILEPLAN_ADDED` Operation code used for operations of type: FILEPLAN_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_FILEPLAN_REMOVED` Operation code used for operations of type: FILEPLAN_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_FREED` Operation code used for operations of type: FREED.
`static java.lang.Integer` | `OPERATIONCODE_FREED_VIA_MOVE` Operation code used for operations of type: FREED_VIA_MOVE.
`static java.lang.Integer` | `OPERATIONCODE_FREED_VIA_UPDATE` Operation code used for operations of type: FREED_VIA_UPDATE.
`static java.lang.Integer` | `OPERATIONCODE_FROZEN` Operation code used for operations of type: FROZEN.
`static java.lang.Integer` | `OPERATIONCODE_GLOBAL_AUDIT_TYPE_LIST_CHANGED` Operation code used for operations of type: GLOBAL_AUDIT_TYPE_LIST_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_GROUP_CREATION_ACCESS_CHANGED` Operation code used for operations of type: GROUP_CREATION_ACCESS_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_GUARD_SECURITY_ADDED` Operation code used for operations of type: GUARD_SECURITY_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_GUARD_SECURITY_CHANGED` Operation code used for operations of type: GUARD_SECURITY_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_GUARD_SECURITY_REMOVED` Operation code used for operations of type: GUARD_SECURITY_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_INTERMEDIA_ANNOTATION_ADDED` Operation code used for operations of type: INTERMEDIA_ANNOTATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_INTERMEDIA_ANNOTATION_REQUESTED` Operation code used for operations of type: INTERMEDIA_ANNOTATION_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_INTERNAL_RETENTION_POLICY_CLEARED` Operation code used for operations of type: INTERNAL_RETENTION_POLICY_CLEARED.
`static java.lang.Integer` | `OPERATIONCODE_INTERNAL_RETENTION_POLICY_SET` Operation code used for operations of type: INTERNAL_RETENTION_POLICY_SET.
`static java.lang.Integer` | `OPERATIONCODE_ITEM_ADDED` Operation code used for operations of type: ITEM_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_ITEM_REMOVED` Operation code used for operations of type: ITEM_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_ITEM_RESTORED` Operation code used for operations of type: ITEM_RESTORED.
`static java.lang.Integer` | `OPERATIONCODE_JOINABLE_DISABLED` Operation code used for operations of type: JOINABLE_DISABLED.
`static java.lang.Integer` | `OPERATIONCODE_JOINABLE_ENABLED` Operation code used for operations of type: JOINABLE_ENABLED.
`static java.lang.String` | `OPERATIONCODE_KEY_SCRIPT_OPERATIONS_REQUESTED` Operation code key for SCRIPT_OPERATIONS_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_LIFECYCLE_POLICY_CLEARED` Operation code used for operations of type: LIFECYCLE_POLICY_CLEARED.
`static java.lang.Integer` | `OPERATIONCODE_LIFECYCLE_POLICY_SET` Operation code used for operations of type: LIFECYCLE_POLICY_SET.
`static java.lang.Integer` | `OPERATIONCODE_LIFECYCLE_STATE_UPDATED` Operation code used for operations of type: LIFECYCLE_STATE_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_LOAD_SERVER_REQUESTED` Operation code used for operations of type: LOAD_SERVER_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_LOCKED` Operation code used for operations of type: LOCKED.
`static java.lang.Integer` | `OPERATIONCODE_MANGERS_CHANGED` Operation code used for operations of type: MANGERS_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_MEMBERSHIP_CHANGED` Operation code used for operations of type: MEMBERSHIP_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_MEMBERSHIP_VISIBILTY_CHANGED` Operation code used for operations of type: MEMBERSHIP_VISIBILTY_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_MOVED` Operation code used for operations of type: MOVED.
`static java.lang.Integer` | `OPERATIONCODE_NODE_TOKEN_CREATED` Operation code used for operations of type: NODE_TOKEN_CREATED.
`static java.lang.Integer` | `OPERATIONCODE_NODE_TOKEN_EXPIRED` Operation code used for operations of type: NODE_TOKEN_EXPIRED.
`static java.lang.Integer` | `OPERATIONCODE_NOTIFIED` Operation code used for operations of type: NOTIFIED.
`static java.lang.Integer` | `OPERATIONCODE_OPENED` Operation code used for operations of type: OPENED.
`static java.lang.Integer` | `OPERATIONCODE_OPERATION_CONFIGURATION_ADDED` Operation code used for operations of type: OPERATION_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_OPERATION_CONFIGURATION_CHANGED` Operation code used for operations of type: OPERATION_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_OPERATION_CONFIGURATION_REMOVED` Operation code used for operations of type: OPERATION_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_PERMISSIONS_CHANGED` Operation code used for operations of type: PERMISSIONS_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_PREFERENCE_CHANGED` Operation code used for operations of type: PREFERENCE_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_PROPERTY_CHANGED` Operation code used for operations of type: PROPERTY_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_QUOTA_CHANGED` Operation code used for operations of type: QUOTA_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_CONFIGURATION_ADDED` Operation code used for operations of type: RECORD_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_CONFIGURATION_CHANGED` Operation code used for operations of type: RECORD_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_CONFIGURATION_REMOVED` Operation code used for operations of type: RECORD_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_CREATED` Operation code used for operations of type: RECORD_CREATED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_CUTOFF` Operation code used for operations of type: RECORD_CUTOFF.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_DESTROYED` Operation code used for operations of type: RECORD_DESTROYED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_DISPOSITION_PROCESSING_ENDED` Operation code used for operations of type: RECORD_DISPOSITION_PROCESSING_ENDED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_DISPOSITION_PROCESSING_STARTED` Operation code used for operations of type: RECORD_DISPOSITION_PROCESSING_STARTED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_FROZEN` Operation code used for operations of type: RECORD_FROZEN.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_UNFROZEN` Operation code used for operations of type: RECORD_UNFROZEN.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_UNRECORDIZED` Operation code used for operations of type: RECORD_UNRECORDIZED.
`static java.lang.Integer` | `OPERATIONCODE_RECORD_UPDATED` Operation code used for operations of type: RECORD_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_RECORDCATEGORY_ADDED` Operation code used for operations of type: RECORDCATEGORY_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_RECORDCATEGORY_REMOVED` Operation code used for operations of type: RECORDCATEGORY_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_RECORDFOLDER_ADDED` Operation code used for operations of type: RECORDFOLDER_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_RECORDFOLDER_REMOVED` Operation code used for operations of type: RECORDFOLDER_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_RECORDSERIES_ADDED` Operation code used for operations of type: RECORDSERIES_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_RECORDSERIES_REMOVED` Operation code used for operations of type: RECORDSERIES_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_RELATED_ITEM_UPDATED` Operation code used for operations of type: RELATED_ITEM_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_RELATION_ADDED` Operation code used for operations of type: RELATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_RELATION_CHANGED` Operation code used for operations of type: RELATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_RELATION_REMOVED` Operation code used for operations of type: RELATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_RENAMED` Operation code used for operations of type: RENAMED.
`static java.lang.Integer` | `OPERATIONCODE_RESOLUTION_CHANGED` Operation code used for operations of type: RESOLUTION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_RESTART_REQUESTED` Operation code used for operations of type: RESTART_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_RESTARTED` Operation code used for operations of type: RESTARTED.
`static java.lang.Integer` | `OPERATIONCODE_RESTORED` Operation code used for operations of type: RESTORED.
`static java.lang.Integer` | `OPERATIONCODE_RESUME_REQUESTED` Operation code used for operations of type: RESUME_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_RESUMED` Operation code used for operations of type: RESUMED.
`static java.lang.Integer` | `OPERATIONCODE_SECURITY_CONFIGURATION_ADDED` Operation code used for operations of type: SECURITY_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_SECURITY_CONFIGURATION_CHANGED` Operation code used for operations of type: SECURITY_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_SECURITY_CONFIGURATION_REMOVED` Operation code used for operations of type: SECURITY_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_SESSION_CONNECTED` Operation code used for operations of type: SESSION_CONNECTED.
`static java.lang.Integer` | `OPERATIONCODE_SESSION_DISCONNECTED` Operation code used for operations of type: SESSION_DISCONNECTED.
`static java.lang.Integer` | `OPERATIONCODE_START_REQUESTED` Operation code used for operations of type: START_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_STARTED` Operation code used for operations of type: STARTED.
`static java.lang.Integer` | `OPERATIONCODE_STARTING` Operation code used for operations of type: STARTING.
`static java.lang.Integer` | `OPERATIONCODE_STOP_REQUESTED` Operation code used for operations of type: STOP_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_STOPPED` Operation code used for operations of type: STOPPED.
`static java.lang.Integer` | `OPERATIONCODE_STOPPING` Operation code used for operations of type: STOPPING.
`static java.lang.Integer` | `OPERATIONCODE_SUPERSEDED` Operation code used for operations of type: SUPERSEDED.
`static java.lang.Integer` | `OPERATIONCODE_SUSPEND_REQUESTED` Operation code used for operations of type: SUSPEND_REQUESTED.
`static java.lang.Integer` | `OPERATIONCODE_SUSPENDED` Operation code used for operations of type: SUSPENDED.
`static java.lang.Integer` | `OPERATIONCODE_TYPE_UPDATED` Operation code used for operations of type: TYPE_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_UNFROZEN` Operation code used for operations of type: UNFROZEN.
`static java.lang.Integer` | `OPERATIONCODE_UNLOCKED` Operation code used for operations of type: UNLOCKED.
`static java.lang.Integer` | `OPERATIONCODE_UPDATED` Operation code used for operations of type: UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_UPGRADED` Operation code used for operations of type: UPGRADED.
`static java.lang.Integer` | `OPERATIONCODE_VERSION_ADDED` Operation code used for operations of type: VERSION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_VERSIONED` Operation code used for operations of type: VERSIONED.
`static java.lang.Integer` | `OPERATIONCODE_VERSIONING_CONFIGURATION_ADDED` Operation code used for operations of type: VERSIONING_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_VERSIONING_CONFIGURATION_CHANGED` Operation code used for operations of type: VERSIONING_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_VERSIONING_CONFIGURATION_REMOVED` Operation code used for operations of type: VERSIONING_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_VERSIONS_PURGED` Operation code used for operations of type: VERSIONS_PURGED.
`static java.lang.Integer` | `OPERATIONCODE_WORKFLOW_CONFIGURATION_ADDED` Operation code used for operations of type: WORKFLOW_CONFIGURATION_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_WORKFLOW_CONFIGURATION_CHANGED` Operation code used for operations of type: WORKFLOW_CONFIGURATION_CHANGED.
`static java.lang.Integer` | `OPERATIONCODE_WORKFLOW_CONFIGURATION_REMOVED` Operation code used for operations of type: WORKFLOW_CONFIGURATION_REMOVED.
`static java.lang.Integer` | `OPERATIONCODE_WORKFLOW_REGISTERED` Operation code used for operations of type: WORKFLOW_REGISTERED.
`static java.lang.Integer` | `OPERATIONCODE_WORKFLOW_UNREGISTERED` Operation code used for operations of type: WORKFLOW_UNREGISTERED.
`static java.lang.Integer` | `OPERATIONCODE_WORKING_COPY_CONTENT_UPDATED` Operation code used for operations of type: WORKING_COPY_CONTENT_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_WORKING_COPY_UPDATED` Operation code used for operations of type: WORKING_COPY_UPDATED.
`static java.lang.Integer` | `OPERATIONCODE_WORKSPACE_ADDED` Operation code used for operations of type: WORKSPACE_ADDED.
`static java.lang.Integer` | `OPERATIONCODE_WORKSPACE_REMOVED` Operation code used for operations of type: WORKSPACE_REMOVED.
`static java.lang.Integer` | `TARGETTYPE_ARCHIVE` Target type code for auditing operations that apply to ARCHIVE.
`static java.lang.Integer` | `TARGETTYPE_AUDIT_SPECIFICATION` Target type code for auditing operations that apply to AUDIT_SPECIFICATION.
`static java.lang.Integer` | `TARGETTYPE_CATEGORY_CLASS` Target type code for auditing operations that apply to CATEGORY_CLASS.
`static java.lang.Integer` | `TARGETTYPE_CONTAINER` Target type code for auditing operations that apply to CONTAINER.
`static java.lang.Integer` | `TARGETTYPE_DOCUMENT` Target type code for auditing operations that apply to DOCUMENT.
`static java.lang.Integer` | `TARGETTYPE_DOMAIN` Target type code for auditing operations that apply to DOMAIN.
`static java.lang.Integer` | `TARGETTYPE_FAMILY` Target type code for auditing operations that apply to FAMILY.
`static java.lang.Integer` | `TARGETTYPE_FILEPLAN` Target type code for auditing operations that apply to FILEPLAN.
`static java.lang.Integer` | `TARGETTYPE_FOLDER` Target type code for auditing operations that apply to FOLDER.
`static java.lang.Integer` | `TARGETTYPE_FOLDERLINK` Target type code for auditing operations that apply to FOLDERLINK.
`static java.lang.Integer` | `TARGETTYPE_GROUP` Target type code for auditing operations that apply to GROUP.
`static java.lang.Integer` | `TARGETTYPE_HANDLERSTATE` Target type code for auditing operations that apply to HANDLERSTATE.
`static java.lang.Integer` | `TARGETTYPE_LINK` Target type code for auditing operations that apply to LINK.
`static java.lang.Integer` | `TARGETTYPE_NODESTATE` Target type code for auditing operations that apply to NODESTATE.
`static java.lang.Integer` | `TARGETTYPE_RECORDCATEGORY` Target type code for auditing operations that apply to RECORDCATEGORY.
`static java.lang.Integer` | `TARGETTYPE_RECORDFOLDER` Target type code for auditing operations that apply to RECORDFOLDER.
`static java.lang.Integer` | `TARGETTYPE_RECORDSERIES` Target type code for auditing operations that apply to RECORDSERIES.
`static java.lang.Integer` | `TARGETTYPE_RELATION` Target type code for auditing operations that apply to RELATION.
`static java.lang.Integer` | `TARGETTYPE_REQUEST` Target type code for auditing operations that apply to REQUEST.
`static java.lang.Integer` | `TARGETTYPE_ROLE` Target type code for auditing operations that apply to ROLE.
`static java.lang.Integer` | `TARGETTYPE_SERVERSTATE` Target type code for auditing operations that apply to SERVERSTATE.
`static java.lang.Integer` | `TARGETTYPE_SERVICESTATE` Target type code for auditing operations that apply to SERVICESTATE.
`static java.lang.Integer` | `TARGETTYPE_SYSTEM` Target type code for auditing operations that apply to SYSTEM.
`static java.lang.Integer` | `TARGETTYPE_TRASHFOLDER` Target type code for auditing operations that apply to TRASHFOLDER.
`static java.lang.Integer` | `TARGETTYPE_USER` Target type code for auditing operations that apply to USER.
`static java.lang.Integer` | `TARGETTYPE_WORKSPACE` Target type code for auditing operations that apply to WORKSPACE.

Constructor Summary
`AuditEventTypeRegistrations()`

Method Summary
`static java.lang.String` | `deriveOperationTypeKey(java.lang.String opCodeKey, java.lang.String prefix, boolean isCustom)` Returns the Operation type key that should be used for an event, based on the specified operation code key and target prefix.
`static java.lang.Object[][]` | `getRegistrations()` Returns the set of audit event type registrations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TARGETTYPE_DOMAIN

    public static final java.lang.Integer TARGETTYPE_DOMAIN

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to DOMAIN.

### TARGETTYPE_CONTAINER

    public static final java.lang.Integer TARGETTYPE_CONTAINER

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to CONTAINER.

### TARGETTYPE_WORKSPACE

    public static final java.lang.Integer TARGETTYPE_WORKSPACE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to WORKSPACE.

### TARGETTYPE_FOLDER

    public static final java.lang.Integer TARGETTYPE_FOLDER

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to FOLDER.

### TARGETTYPE_DOCUMENT

    public static final java.lang.Integer TARGETTYPE_DOCUMENT

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to DOCUMENT.

### TARGETTYPE_FAMILY

    public static final java.lang.Integer TARGETTYPE_FAMILY

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to FAMILY.

### TARGETTYPE_LINK

    public static final java.lang.Integer TARGETTYPE_LINK

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to LINK.

### TARGETTYPE_FOLDERLINK

    public static final java.lang.Integer TARGETTYPE_FOLDERLINK

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to FOLDERLINK.

### TARGETTYPE_ARCHIVE

    public static final java.lang.Integer TARGETTYPE_ARCHIVE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to ARCHIVE.

### TARGETTYPE_TRASHFOLDER

    public static final java.lang.Integer TARGETTYPE_TRASHFOLDER

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to TRASHFOLDER.

### TARGETTYPE_USER

    public static final java.lang.Integer TARGETTYPE_USER

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to USER.

### TARGETTYPE_GROUP

    public static final java.lang.Integer TARGETTYPE_GROUP

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to GROUP.

### TARGETTYPE_ROLE

    public static final java.lang.Integer TARGETTYPE_ROLE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to ROLE.

### TARGETTYPE_FILEPLAN

    public static final java.lang.Integer TARGETTYPE_FILEPLAN

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to FILEPLAN.

### TARGETTYPE_RECORDSERIES

    public static final java.lang.Integer TARGETTYPE_RECORDSERIES

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to RECORDSERIES.

### TARGETTYPE_RECORDCATEGORY

    public static final java.lang.Integer TARGETTYPE_RECORDCATEGORY

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to RECORDCATEGORY.

### TARGETTYPE_RECORDFOLDER

    public static final java.lang.Integer TARGETTYPE_RECORDFOLDER

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to RECORDFOLDER.

### TARGETTYPE_CATEGORY_CLASS

    public static final java.lang.Integer TARGETTYPE_CATEGORY_CLASS

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to CATEGORY_CLASS.

### TARGETTYPE_REQUEST

    public static final java.lang.Integer TARGETTYPE_REQUEST

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to REQUEST.

### TARGETTYPE_AUDIT_SPECIFICATION

    public static final java.lang.Integer TARGETTYPE_AUDIT_SPECIFICATION

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to AUDIT_SPECIFICATION.

### TARGETTYPE_RELATION

    public static final java.lang.Integer TARGETTYPE_RELATION

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to RELATION.

### TARGETTYPE_SYSTEM

    public static final java.lang.Integer TARGETTYPE_SYSTEM

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to SYSTEM.

### TARGETTYPE_SERVICESTATE

    public static final java.lang.Integer TARGETTYPE_SERVICESTATE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to SERVICESTATE.

### TARGETTYPE_NODESTATE

    public static final java.lang.Integer TARGETTYPE_NODESTATE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to NODESTATE.

### TARGETTYPE_SERVERSTATE

    public static final java.lang.Integer TARGETTYPE_SERVERSTATE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to SERVERSTATE.

### TARGETTYPE_HANDLERSTATE

    public static final java.lang.Integer TARGETTYPE_HANDLERSTATE

  Description copied from class: `AuditEventTypeRegistrations`
  Target type code for auditing operations that apply to HANDLERSTATE.

### OPERATIONCODE_CREATED

    public static final java.lang.Integer OPERATIONCODE_CREATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CREATED.

### OPERATIONCODE_DELETED

    public static final java.lang.Integer OPERATIONCODE_DELETED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DELETED.

### OPERATIONCODE_RESTORED

    public static final java.lang.Integer OPERATIONCODE_RESTORED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RESTORED.

### OPERATIONCODE_DISABLED

    public static final java.lang.Integer OPERATIONCODE_DISABLED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DISABLED.

### OPERATIONCODE_ENABLED

    public static final java.lang.Integer OPERATIONCODE_ENABLED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ENABLED.

### OPERATIONCODE_ARCHIVED

    public static final java.lang.Integer OPERATIONCODE_ARCHIVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ARCHIVED.

### OPERATIONCODE_COPIED_FROM_ARCHIVE

    public static final java.lang.Integer OPERATIONCODE_COPIED_FROM_ARCHIVE

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: COPIED_FROM_ARCHIVE.

### OPERATIONCODE_FREED

    public static final java.lang.Integer OPERATIONCODE_FREED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FREED.

### OPERATIONCODE_UPDATED

    public static final java.lang.Integer OPERATIONCODE_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: UPDATED.

### OPERATIONCODE_RENAMED

    public static final java.lang.Integer OPERATIONCODE_RENAMED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RENAMED.

### OPERATIONCODE_APPROVED

    public static final java.lang.Integer OPERATIONCODE_APPROVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: APPROVED.

### OPERATIONCODE_DENIED

    public static final java.lang.Integer OPERATIONCODE_DENIED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DENIED.

### OPERATIONCODE_FAILED

    public static final java.lang.Integer OPERATIONCODE_FAILED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FAILED.

### OPERATIONCODE_CANCELED

    public static final java.lang.Integer OPERATIONCODE_CANCELED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CANCELED.

### OPERATIONCODE_FROZEN

    public static final java.lang.Integer OPERATIONCODE_FROZEN

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FROZEN.

### OPERATIONCODE_UNFROZEN

    public static final java.lang.Integer OPERATIONCODE_UNFROZEN

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: UNFROZEN.

### OPERATIONCODE_CLOSED

    public static final java.lang.Integer OPERATIONCODE_CLOSED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CLOSED.

### OPERATIONCODE_OPENED

    public static final java.lang.Integer OPERATIONCODE_OPENED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: OPENED.

### OPERATIONCODE_SUPERSEDED

    public static final java.lang.Integer OPERATIONCODE_SUPERSEDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SUPERSEDED.

### OPERATIONCODE_CREATED_AS_COPY

    public static final java.lang.Integer OPERATIONCODE_CREATED_AS_COPY

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CREATED_AS_COPY.

### OPERATIONCODE_CREATED_AS_WORKING_COPY

    public static final java.lang.Integer OPERATIONCODE_CREATED_AS_WORKING_COPY

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CREATED_AS_WORKING_COPY.

### OPERATIONCODE_FREED_VIA_MOVE

    public static final java.lang.Integer OPERATIONCODE_FREED_VIA_MOVE

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FREED_VIA_MOVE.

### OPERATIONCODE_WORKING_COPY_UPDATED

    public static final java.lang.Integer OPERATIONCODE_WORKING_COPY_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKING_COPY_UPDATED.

### OPERATIONCODE_FREED_VIA_UPDATE

    public static final java.lang.Integer OPERATIONCODE_FREED_VIA_UPDATE

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FREED_VIA_UPDATE.

### OPERATIONCODE_LOCKED

    public static final java.lang.Integer OPERATIONCODE_LOCKED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: LOCKED.

### OPERATIONCODE_UNLOCKED

    public static final java.lang.Integer OPERATIONCODE_UNLOCKED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: UNLOCKED.

### OPERATIONCODE_LIFECYCLE_POLICY_SET

    public static final java.lang.Integer OPERATIONCODE_LIFECYCLE_POLICY_SET

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: LIFECYCLE_POLICY_SET.

### OPERATIONCODE_LIFECYCLE_POLICY_CLEARED

    public static final java.lang.Integer OPERATIONCODE_LIFECYCLE_POLICY_CLEARED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: LIFECYCLE_POLICY_CLEARED.

### OPERATIONCODE_LIFECYCLE_STATE_UPDATED

    public static final java.lang.Integer OPERATIONCODE_LIFECYCLE_STATE_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: LIFECYCLE_STATE_UPDATED.

### OPERATIONCODE_EXTERNAL_RETENTION_POLICY_SET

    public static final java.lang.Integer OPERATIONCODE_EXTERNAL_RETENTION_POLICY_SET

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: EXTERNAL_RETENTION_POLICY_SET.

### OPERATIONCODE_EXTERNAL_RETENTION_POLICY_CLEARED

    public static final java.lang.Integer OPERATIONCODE_EXTERNAL_RETENTION_POLICY_CLEARED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: EXTERNAL_RETENTION_POLICY_CLEARED.

### OPERATIONCODE_INTERNAL_RETENTION_POLICY_SET

    public static final java.lang.Integer OPERATIONCODE_INTERNAL_RETENTION_POLICY_SET

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: INTERNAL_RETENTION_POLICY_SET.

### OPERATIONCODE_INTERNAL_RETENTION_POLICY_CLEARED

    public static final java.lang.Integer OPERATIONCODE_INTERNAL_RETENTION_POLICY_CLEARED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: INTERNAL_RETENTION_POLICY_CLEARED.

### OPERATIONCODE_ACL_ASSIGNED

    public static final java.lang.Integer OPERATIONCODE_ACL_ASSIGNED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ACL_ASSIGNED.

### OPERATIONCODE_UPGRADED

    public static final java.lang.Integer OPERATIONCODE_UPGRADED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: UPGRADED.

### OPERATIONCODE_VERSIONED

    public static final java.lang.Integer OPERATIONCODE_VERSIONED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: VERSIONED.

### OPERATIONCODE_CHECKED_OUT

    public static final java.lang.Integer OPERATIONCODE_CHECKED_OUT

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CHECKED_OUT.

### OPERATIONCODE_CHECKED_IN

    public static final java.lang.Integer OPERATIONCODE_CHECKED_IN

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CHECKED_IN.

### OPERATIONCODE_CHECKOUT_CANCELED

    public static final java.lang.Integer OPERATIONCODE_CHECKOUT_CANCELED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CHECKOUT_CANCELED.

### OPERATIONCODE_VERSIONS_PURGED

    public static final java.lang.Integer OPERATIONCODE_VERSIONS_PURGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: VERSIONS_PURGED.

### OPERATIONCODE_MOVED

    public static final java.lang.Integer OPERATIONCODE_MOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: MOVED.

### OPERATIONCODE_COPIED

    public static final java.lang.Integer OPERATIONCODE_COPIED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: COPIED.

### OPERATIONCODE_CONTENT_UPDATED

    public static final java.lang.Integer OPERATIONCODE_CONTENT_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTENT_UPDATED.

### OPERATIONCODE_WORKING_COPY_CONTENT_UPDATED

    public static final java.lang.Integer OPERATIONCODE_WORKING_COPY_CONTENT_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKING_COPY_CONTENT_UPDATED.

### OPERATIONCODE_VERSION_ADDED

    public static final java.lang.Integer OPERATIONCODE_VERSION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: VERSION_ADDED.

### OPERATIONCODE_CONTAINER_ADDED

    public static final java.lang.Integer OPERATIONCODE_CONTAINER_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTAINER_ADDED.

### OPERATIONCODE_CONTAINER_REMOVED

    public static final java.lang.Integer OPERATIONCODE_CONTAINER_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTAINER_REMOVED.

### OPERATIONCODE_WORKSPACE_ADDED

    public static final java.lang.Integer OPERATIONCODE_WORKSPACE_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKSPACE_ADDED.

### OPERATIONCODE_WORKSPACE_REMOVED

    public static final java.lang.Integer OPERATIONCODE_WORKSPACE_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKSPACE_REMOVED.

### OPERATIONCODE_ITEM_ADDED

    public static final java.lang.Integer OPERATIONCODE_ITEM_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ITEM_ADDED.

### OPERATIONCODE_ITEM_REMOVED

    public static final java.lang.Integer OPERATIONCODE_ITEM_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ITEM_REMOVED.

### OPERATIONCODE_ITEM_RESTORED

    public static final java.lang.Integer OPERATIONCODE_ITEM_RESTORED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ITEM_RESTORED.

### OPERATIONCODE_EMPTIED

    public static final java.lang.Integer OPERATIONCODE_EMPTIED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: EMPTIED.

### OPERATIONCODE_AUTO_EMPTIED

    public static final java.lang.Integer OPERATIONCODE_AUTO_EMPTIED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AUTO_EMPTIED.

### OPERATIONCODE_SECURITY_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_SECURITY_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SECURITY_CONFIGURATION_ADDED.

### OPERATIONCODE_SECURITY_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_SECURITY_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SECURITY_CONFIGURATION_REMOVED.

### OPERATIONCODE_SECURITY_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_SECURITY_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SECURITY_CONFIGURATION_CHANGED.

### OPERATIONCODE_VERSIONING_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_VERSIONING_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: VERSIONING_CONFIGURATION_ADDED.

### OPERATIONCODE_VERSIONING_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_VERSIONING_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: VERSIONING_CONFIGURATION_REMOVED.

### OPERATIONCODE_VERSIONING_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_VERSIONING_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: VERSIONING_CONFIGURATION_CHANGED.

### OPERATIONCODE_WORKFLOW_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_WORKFLOW_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKFLOW_CONFIGURATION_ADDED.

### OPERATIONCODE_WORKFLOW_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_WORKFLOW_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKFLOW_CONFIGURATION_REMOVED.

### OPERATIONCODE_WORKFLOW_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_WORKFLOW_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKFLOW_CONFIGURATION_CHANGED.

### OPERATIONCODE_AUDITING_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_AUDITING_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AUDITING_CONFIGURATION_ADDED.

### OPERATIONCODE_AUDITING_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_AUDITING_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AUDITING_CONFIGURATION_REMOVED.

### OPERATIONCODE_AUDITING_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_AUDITING_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AUDITING_CONFIGURATION_CHANGED.

### OPERATIONCODE_RECORD_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_RECORD_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_CONFIGURATION_ADDED.

### OPERATIONCODE_RECORD_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_RECORD_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_CONFIGURATION_REMOVED.

### OPERATIONCODE_RECORD_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_RECORD_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_CONFIGURATION_CHANGED.

### OPERATIONCODE_CATEGORY_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_CATEGORY_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CATEGORY_CONFIGURATION_ADDED.

### OPERATIONCODE_CATEGORY_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_CATEGORY_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CATEGORY_CONFIGURATION_REMOVED.

### OPERATIONCODE_CATEGORY_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_CATEGORY_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CATEGORY_CONFIGURATION_CHANGED.

### OPERATIONCODE_CONTENT_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_CONTENT_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTENT_CONFIGURATION_ADDED.

### OPERATIONCODE_CONTENT_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_CONTENT_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTENT_CONFIGURATION_REMOVED.

### OPERATIONCODE_CONTENT_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_CONTENT_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTENT_CONFIGURATION_CHANGED.

### OPERATIONCODE_OPERATION_CONFIGURATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_OPERATION_CONFIGURATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: OPERATION_CONFIGURATION_ADDED.

### OPERATIONCODE_OPERATION_CONFIGURATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_OPERATION_CONFIGURATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: OPERATION_CONFIGURATION_REMOVED.

### OPERATIONCODE_OPERATION_CONFIGURATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_OPERATION_CONFIGURATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: OPERATION_CONFIGURATION_CHANGED.

### OPERATIONCODE_RECORDSERIES_ADDED

    public static final java.lang.Integer OPERATIONCODE_RECORDSERIES_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORDSERIES_ADDED.

### OPERATIONCODE_RECORDSERIES_REMOVED

    public static final java.lang.Integer OPERATIONCODE_RECORDSERIES_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORDSERIES_REMOVED.

### OPERATIONCODE_RECORDCATEGORY_ADDED

    public static final java.lang.Integer OPERATIONCODE_RECORDCATEGORY_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORDCATEGORY_ADDED.

### OPERATIONCODE_RECORDCATEGORY_REMOVED

    public static final java.lang.Integer OPERATIONCODE_RECORDCATEGORY_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORDCATEGORY_REMOVED.

### OPERATIONCODE_RECORDFOLDER_ADDED

    public static final java.lang.Integer OPERATIONCODE_RECORDFOLDER_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORDFOLDER_ADDED.

### OPERATIONCODE_RECORDFOLDER_REMOVED

    public static final java.lang.Integer OPERATIONCODE_RECORDFOLDER_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORDFOLDER_REMOVED.

### OPERATIONCODE_GUARD_SECURITY_ADDED

    public static final java.lang.Integer OPERATIONCODE_GUARD_SECURITY_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: GUARD_SECURITY_ADDED.

### OPERATIONCODE_GUARD_SECURITY_REMOVED

    public static final java.lang.Integer OPERATIONCODE_GUARD_SECURITY_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: GUARD_SECURITY_REMOVED.

### OPERATIONCODE_GUARD_SECURITY_CHANGED

    public static final java.lang.Integer OPERATIONCODE_GUARD_SECURITY_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: GUARD_SECURITY_CHANGED.

### OPERATIONCODE_RECORD_CREATED

    public static final java.lang.Integer OPERATIONCODE_RECORD_CREATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_CREATED.

### OPERATIONCODE_RECORD_CUTOFF

    public static final java.lang.Integer OPERATIONCODE_RECORD_CUTOFF

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_CUTOFF.

### OPERATIONCODE_RECORD_UNRECORDIZED

    public static final java.lang.Integer OPERATIONCODE_RECORD_UNRECORDIZED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_UNRECORDIZED.

### OPERATIONCODE_RECORD_DESTROYED

    public static final java.lang.Integer OPERATIONCODE_RECORD_DESTROYED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_DESTROYED.

### OPERATIONCODE_RECORD_FROZEN

    public static final java.lang.Integer OPERATIONCODE_RECORD_FROZEN

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_FROZEN.

### OPERATIONCODE_RECORD_UNFROZEN

    public static final java.lang.Integer OPERATIONCODE_RECORD_UNFROZEN

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_UNFROZEN.

### OPERATIONCODE_RECORD_DISPOSITION_PROCESSING_STARTED

    public static final java.lang.Integer OPERATIONCODE_RECORD_DISPOSITION_PROCESSING_STARTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_DISPOSITION_PROCESSING_STARTED.

### OPERATIONCODE_RECORD_DISPOSITION_PROCESSING_ENDED

    public static final java.lang.Integer OPERATIONCODE_RECORD_DISPOSITION_PROCESSING_ENDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_DISPOSITION_PROCESSING_ENDED.

### OPERATIONCODE_CUTOFF_INSTRUCTIONS_UPDATED

    public static final java.lang.Integer OPERATIONCODE_CUTOFF_INSTRUCTIONS_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CUTOFF_INSTRUCTIONS_UPDATED.

### OPERATIONCODE_DISPOSITION_INSTRUCTIONS_UPDATED

    public static final java.lang.Integer OPERATIONCODE_DISPOSITION_INSTRUCTIONS_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DISPOSITION_INSTRUCTIONS_UPDATED.

### OPERATIONCODE_FILEPLAN_ADDED

    public static final java.lang.Integer OPERATIONCODE_FILEPLAN_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FILEPLAN_ADDED.

### OPERATIONCODE_FILEPLAN_REMOVED

    public static final java.lang.Integer OPERATIONCODE_FILEPLAN_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: FILEPLAN_REMOVED.

### OPERATIONCODE_RECORD_UPDATED

    public static final java.lang.Integer OPERATIONCODE_RECORD_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RECORD_UPDATED.

### OPERATIONCODE_APPLICATION_CONNECTED

    public static final java.lang.Integer OPERATIONCODE_APPLICATION_CONNECTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: APPLICATION_CONNECTED.

### OPERATIONCODE_APPLICATION_DISCONNECTED

    public static final java.lang.Integer OPERATIONCODE_APPLICATION_DISCONNECTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: APPLICATION_DISCONNECTED.

### OPERATIONCODE_SESSION_CONNECTED

    public static final java.lang.Integer OPERATIONCODE_SESSION_CONNECTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SESSION_CONNECTED.

### OPERATIONCODE_SESSION_DISCONNECTED

    public static final java.lang.Integer OPERATIONCODE_SESSION_DISCONNECTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SESSION_DISCONNECTED.

### OPERATIONCODE_EMAIL_SENT

    public static final java.lang.Integer OPERATIONCODE_EMAIL_SENT

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: EMAIL_SENT.

### OPERATIONCODE_CONTENT_READ

    public static final java.lang.Integer OPERATIONCODE_CONTENT_READ

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONTENT_READ.

### OPERATIONCODE_NOTIFIED

    public static final java.lang.Integer OPERATIONCODE_NOTIFIED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: NOTIFIED.

### OPERATIONCODE_ENTERED_ADMIN_MODE

    public static final java.lang.Integer OPERATIONCODE_ENTERED_ADMIN_MODE

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ENTERED_ADMIN_MODE.

### OPERATIONCODE_EXITED_ADMIN_MODE

    public static final java.lang.Integer OPERATIONCODE_EXITED_ADMIN_MODE

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: EXITED_ADMIN_MODE.

### OPERATIONCODE_INTERMEDIA_ANNOTATION_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_INTERMEDIA_ANNOTATION_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: INTERMEDIA_ANNOTATION_REQUESTED.

### OPERATIONCODE_NODE_TOKEN_CREATED

    public static final java.lang.Integer OPERATIONCODE_NODE_TOKEN_CREATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: NODE_TOKEN_CREATED.

### OPERATIONCODE_NODE_TOKEN_EXPIRED

    public static final java.lang.Integer OPERATIONCODE_NODE_TOKEN_EXPIRED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: NODE_TOKEN_EXPIRED.

### OPERATIONCODE_AGENT_TOKEN_CREATED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_CREATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_CREATED.

### OPERATIONCODE_AGENT_TOKEN_FREED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_FREED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_FREED.

### OPERATIONCODE_AGENT_TOKEN_REGISTREE_ADDED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_REGISTREE_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_REGISTREE_ADDED.

### OPERATIONCODE_AGENT_TOKEN_REGISTREE_REMOVED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_REGISTREE_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_REGISTREE_REMOVED.

### OPERATIONCODE_AGENT_TOKEN_REGISTREE_EXPIRED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_REGISTREE_EXPIRED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_REGISTREE_EXPIRED.

### OPERATIONCODE_AGENT_TOKEN_STANDBY_ADDED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_STANDBY_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_STANDBY_ADDED.

### OPERATIONCODE_AGENT_TOKEN_STANDBY_REMOVED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_STANDBY_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_STANDBY_REMOVED.

### OPERATIONCODE_AGENT_TOKEN_STANDBY_EXPIRED

    public static final java.lang.Integer OPERATIONCODE_AGENT_TOKEN_STANDBY_EXPIRED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: AGENT_TOKEN_STANDBY_EXPIRED.

### OPERATIONCODE_PROPERTY_CHANGED

    public static final java.lang.Integer OPERATIONCODE_PROPERTY_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: PROPERTY_CHANGED.

### OPERATIONCODE_CATEGORY_ADDED

    public static final java.lang.Integer OPERATIONCODE_CATEGORY_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CATEGORY_ADDED.

### OPERATIONCODE_CATEGORY_REMOVED

    public static final java.lang.Integer OPERATIONCODE_CATEGORY_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CATEGORY_REMOVED.

### OPERATIONCODE_CATEGORY_CHANGED

    public static final java.lang.Integer OPERATIONCODE_CATEGORY_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CATEGORY_CHANGED.

### OPERATIONCODE_DEFAULT_USER_PREFERENCES_CHANGED

    public static final java.lang.Integer OPERATIONCODE_DEFAULT_USER_PREFERENCES_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DEFAULT_USER_PREFERENCES_CHANGED.

### OPERATIONCODE_PREFERENCE_CHANGED

    public static final java.lang.Integer OPERATIONCODE_PREFERENCE_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: PREFERENCE_CHANGED.

### OPERATIONCODE_DEFAULT_WORKSPACE_ROLES_CHANGED

    public static final java.lang.Integer OPERATIONCODE_DEFAULT_WORKSPACE_ROLES_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DEFAULT_WORKSPACE_ROLES_CHANGED.

### OPERATIONCODE_DEFAULT_GUARD_ROLES_CHANGED

    public static final java.lang.Integer OPERATIONCODE_DEFAULT_GUARD_ROLES_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DEFAULT_GUARD_ROLES_CHANGED.

### OPERATIONCODE_GROUP_CREATION_ACCESS_CHANGED

    public static final java.lang.Integer OPERATIONCODE_GROUP_CREATION_ACCESS_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: GROUP_CREATION_ACCESS_CHANGED.

### OPERATIONCODE_QUOTA_CHANGED

    public static final java.lang.Integer OPERATIONCODE_QUOTA_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: QUOTA_CHANGED.

### OPERATIONCODE_MEMBERSHIP_CHANGED

    public static final java.lang.Integer OPERATIONCODE_MEMBERSHIP_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: MEMBERSHIP_CHANGED.

### OPERATIONCODE_MANGERS_CHANGED

    public static final java.lang.Integer OPERATIONCODE_MANGERS_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: MANGERS_CHANGED.

### OPERATIONCODE_MEMBERSHIP_VISIBILTY_CHANGED

    public static final java.lang.Integer OPERATIONCODE_MEMBERSHIP_VISIBILTY_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: MEMBERSHIP_VISIBILTY_CHANGED.

### OPERATIONCODE_PERMISSIONS_CHANGED

    public static final java.lang.Integer OPERATIONCODE_PERMISSIONS_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: PERMISSIONS_CHANGED.

### OPERATIONCODE_JOINABLE_ENABLED

    public static final java.lang.Integer OPERATIONCODE_JOINABLE_ENABLED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: JOINABLE_ENABLED.

### OPERATIONCODE_JOINABLE_DISABLED

    public static final java.lang.Integer OPERATIONCODE_JOINABLE_DISABLED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: JOINABLE_DISABLED.

### OPERATIONCODE_ADMIN_RIGHTS_GRANTED

    public static final java.lang.Integer OPERATIONCODE_ADMIN_RIGHTS_GRANTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ADMIN_RIGHTS_GRANTED.

### OPERATIONCODE_ADMIN_RIGHTS_REVOKED

    public static final java.lang.Integer OPERATIONCODE_ADMIN_RIGHTS_REVOKED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ADMIN_RIGHTS_REVOKED.

### OPERATIONCODE_WORKFLOW_REGISTERED

    public static final java.lang.Integer OPERATIONCODE_WORKFLOW_REGISTERED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKFLOW_REGISTERED.

### OPERATIONCODE_WORKFLOW_UNREGISTERED

    public static final java.lang.Integer OPERATIONCODE_WORKFLOW_UNREGISTERED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: WORKFLOW_UNREGISTERED.

### OPERATIONCODE_BECAME_VERSION

    public static final java.lang.Integer OPERATIONCODE_BECAME_VERSION

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: BECAME_VERSION.

### OPERATIONCODE_TYPE_UPDATED

    public static final java.lang.Integer OPERATIONCODE_TYPE_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: TYPE_UPDATED.

### OPERATIONCODE_ACTION_UPDATED

    public static final java.lang.Integer OPERATIONCODE_ACTION_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ACTION_UPDATED.

### OPERATIONCODE_RELATED_ITEM_UPDATED

    public static final java.lang.Integer OPERATIONCODE_RELATED_ITEM_UPDATED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RELATED_ITEM_UPDATED.

### OPERATIONCODE_ATTRIBUTE_ADDED

    public static final java.lang.Integer OPERATIONCODE_ATTRIBUTE_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ATTRIBUTE_ADDED.

### OPERATIONCODE_ATTRIBUTE_REMOVED

    public static final java.lang.Integer OPERATIONCODE_ATTRIBUTE_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: ATTRIBUTE_REMOVED.

### OPERATIONCODE_RESOLUTION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_RESOLUTION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RESOLUTION_CHANGED.

### OPERATIONCODE_GLOBAL_AUDIT_TYPE_LIST_CHANGED

    public static final java.lang.Integer OPERATIONCODE_GLOBAL_AUDIT_TYPE_LIST_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: GLOBAL_AUDIT_TYPE_LIST_CHANGED.

### OPERATIONCODE_RELATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_RELATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RELATION_ADDED.

### OPERATIONCODE_RELATION_REMOVED

    public static final java.lang.Integer OPERATIONCODE_RELATION_REMOVED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RELATION_REMOVED.

### OPERATIONCODE_RELATION_CHANGED

    public static final java.lang.Integer OPERATIONCODE_RELATION_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RELATION_CHANGED.

### OPERATIONCODE_INTERMEDIA_ANNOTATION_ADDED

    public static final java.lang.Integer OPERATIONCODE_INTERMEDIA_ANNOTATION_ADDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: INTERMEDIA_ANNOTATION_ADDED.

### OPERATIONCODE_START_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_START_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: START_REQUESTED.

### OPERATIONCODE_STARTING

    public static final java.lang.Integer OPERATIONCODE_STARTING

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: STARTING.

### OPERATIONCODE_STARTED

    public static final java.lang.Integer OPERATIONCODE_STARTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: STARTED.

### OPERATIONCODE_STOP_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_STOP_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: STOP_REQUESTED.

### OPERATIONCODE_STOPPING

    public static final java.lang.Integer OPERATIONCODE_STOPPING

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: STOPPING.

### OPERATIONCODE_STOPPED

    public static final java.lang.Integer OPERATIONCODE_STOPPED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: STOPPED.

### OPERATIONCODE_RESTART_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_RESTART_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RESTART_REQUESTED.

### OPERATIONCODE_RESTARTED

    public static final java.lang.Integer OPERATIONCODE_RESTARTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RESTARTED.

### OPERATIONCODE_DISPOSE_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_DISPOSE_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DISPOSE_REQUESTED.

### OPERATIONCODE_DISPOSED

    public static final java.lang.Integer OPERATIONCODE_DISPOSED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: DISPOSED.

### OPERATIONCODE_SUSPEND_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_SUSPEND_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SUSPEND_REQUESTED.

### OPERATIONCODE_SUSPENDED

    public static final java.lang.Integer OPERATIONCODE_SUSPENDED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: SUSPENDED.

### OPERATIONCODE_RESUME_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_RESUME_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RESUME_REQUESTED.

### OPERATIONCODE_RESUMED

    public static final java.lang.Integer OPERATIONCODE_RESUMED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: RESUMED.

### OPERATIONCODE_CONFIGURATION_OVERRIDE_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_CONFIGURATION_OVERRIDE_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONFIGURATION_OVERRIDE_REQUESTED.

### OPERATIONCODE_CONFIGURATION_OVERRIDDEN

    public static final java.lang.Integer OPERATIONCODE_CONFIGURATION_OVERRIDDEN

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CONFIGURATION_OVERRIDDEN.

### OPERATIONCODE_LOAD_SERVER_REQUESTED

    public static final java.lang.Integer OPERATIONCODE_LOAD_SERVER_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: LOAD_SERVER_REQUESTED.

### OPERATIONCODE_CLUSTERING_STATUS_CHANGED

    public static final java.lang.Integer OPERATIONCODE_CLUSTERING_STATUS_CHANGED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code used for operations of type: CLUSTERING_STATUS_CHANGED.

### OPERATIONCODE_KEY_SCRIPT_OPERATIONS_REQUESTED

    public static final java.lang.String OPERATIONCODE_KEY_SCRIPT_OPERATIONS_REQUESTED

  Description copied from class: `AuditEventTypeRegistrations`
  Operation code key for SCRIPT_OPERATIONS_REQUESTED.

  See Also:
    Constant Field Values

Constructor Detail

### AuditEventTypeRegistrations

    public AuditEventTypeRegistrations()

Method Detail

### getRegistrations

    public static java.lang.Object[][] getRegistrations()

  Description copied from class: `AuditEventTypeRegistrations`
  Returns the set of audit event type registrations.

  Each Object[] in the array contains a triplet of:

  - Event type key (String)
  - Target type (Integer)
  - Operation code (Integer)

  Returns:
    an array of event registration triplet.

### deriveOperationTypeKey

    public static java.lang.String deriveOperationTypeKey(java.lang.String opCodeKey,
                                                          java.lang.String prefix,
                                                          boolean isCustom)

  Description copied from class: `AuditEventTypeRegistrations`
  Returns the Operation type key that should be used for an event, based on the specified operation code key and target prefix.

  Parameters:
    `opCodeKey` - operation code key (e.g. "FAXED")
    `prefix` - target prefix (e.g. "DOCUMENT")
    `isCustom` - whether this is for a custom event op code
  Returns:
    the operation key (e.g. "DOCUMENT__FAXED")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD